"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "location",
  setup(__props) {
    const detail = common_vendor.ref({});
    const map = common_vendor.ref("");
    common_vendor.onLoad((options) => {
      detail.value = options;
      map.value = options.src;
      common_vendor.index.setNavigationBarTitle({
        title: options.title
      });
    });
    return (_ctx, _cache) => {
      return {
        a: map.value,
        b: common_vendor.t(detail.value.title),
        c: common_vendor.t(detail.value.label),
        d: common_vendor.t(detail.value.content)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-3b646e3b"]]);
wx.createPage(MiniProgramPage);
